Bug 837213 - Review Request: konkretcmpi - Tool for rapid CMPI providers development
Review Request: konkretcmpi - Tool for rapid CMPI providers development
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jiri Popelka
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-03 03:27 EDT by Radek Novacek
Modified: 2016-11-30 19:30 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-16 04:13:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jpopelka: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Radek Novacek 2012-07-03 03:27:34 EDT
Spec URL: http://rnovacek.fedorapeople.org/konkret/konkretcmpi.spec
SRPM URL: http://rnovacek.fedorapeople.org/konkret/konkretcmpi-0.8.7-2.fc17.src.rpm
Description: KonkretCMPI makes CMPI provider development easier by generating type-safe concrete CIM interfaces from MOF definitions and by providing default 
implementations for many of the provider operations.

Fedora Account System Username: rnovacek
Comment 1 Radek Novacek 2012-07-03 07:47:59 EDT
Spec URL: http://rnovacek.fedorapeople.org/konkret/konkretcmpi.spec
SRPM URL: http://rnovacek.fedorapeople.org/konkret/konkretcmpi-0.8.7-3.fc17.src.rpm

There was an error in patch in previous version. This one works correctly.
Comment 2 Jiri Popelka 2012-07-03 11:28:22 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail


==== C/C++ ====
[x]: MUST Header files in -devel subpackage, if present.
[x]: MUST ldconfig called in %post and %postun if required.
[x]: MUST Package does not contain any libtool archives (.la)
[x]: MUST Package does not contain kernel modules.
[x]: MUST Package contains no static executables.
[x]: MUST Rpath absent or only used for internal libs.
[x]: MUST Package is not relocatable.
[x]: MUST Development (unversioned) .so files in -devel subpackage, if
     present.

==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or $RPM_BUILD_ROOT)
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
[-]: MUST Macros in Summary, %description expandable at SRPM build time.
[-]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Fully versioned dependency in subpackages, if present.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST License file installed when any subpackage combination is installed.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[-]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[-]: MUST Requires correct, justified where necessary.
[!]: MUST Rpmlint output is silent.

Only few harmless warnings:
konkretcmpi.x86_64: W: no-manual-page-for-binary konkretreg
konkretcmpi.x86_64: W: no-manual-page-for-binary konkret
konkretcmpi-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/konkretcmpi-0.8.7/src/mof/REF_Yacc.cpp

[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
  MD5SUM this package     : cf8a2c31ea6244823ae498b1ec2384d9
  MD5SUM upstream package : cf8a2c31ea6244823ae498b1ec2384d9

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[x]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD Dist tag is present.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from upstream.
[-]: SHOULD Scriptlets must be sane, if used.
[x]: SHOULD SourceX is a working URL.
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.

Everything seems OK Radek.
You don't need to 'rm -rf $RPM_BUILD_ROOT' in %install,
but that's not a blocker so I consider this package APPROVED !
Comment 3 Radek Novacek 2012-07-04 01:05:48 EDT
New Package SCM Request
=======================
Package Name: konkretcmpi
Short Description: Tool for rapid CMPI providers development
Owners: rnovacek
Branches: f16 f17
InitialCC:
Comment 4 Gwyn Ciesla 2012-07-04 17:10:19 EDT
Git done (by process-git-requests).
Comment 5 Radek Novacek 2012-07-16 04:13:51 EDT
Imported, thanks.

Note You need to log in before you can comment on or make changes to this bug.